#!/bin/bash
# Allo-GG
# Installation de Allo-GG sur un Pi Zero avec Rasbian.

# Installation des dependances
cd
apt-get -y update
apt-get -y upgrade
apt-get -y install apache2 php7.0 git-core vim htop

# Installation de wiringPi
git clone git://git.drogon.net/wiringPi
cd wiringPi
git pull origin
./build
cd

# Création de l'utilisateur
useradd --create-home allo-gg
adduser allo-gg sudo
echo "Merci de choisir un mot de passe pour Allo-GG :"
passwd allo-gg

# Suppression de l'utilisateur par defaut
deluser --remove-home pi

# Installation de Allo-GG
chown -R allo-gg:allo-gg /var/www/html/
su -l allo-gg -c "git clone https://github.com/heuzef/Allo-GG.git /var/www/html/"

# Lancement automatique du script de demarrage
crontab -l -u allo-gg | echo '@reboot /bin/bash /var/www/html/scripts/boot.sh &' | crontab -u allo-gg -

echo "----------------------------"
echo "Install done ! Rebooting ..."
sleep 3

sh scripts/reboot.sh
